SELECT
    rawImfile.*,
    warpInputExp.cam_id,
    chipProcessedImfile.path_base as chip_path_base,
    camProcessedExp.path_base as cam_path_base
FROM warpRun
JOIN warpInputExp
    USING(warp_id)
JOIN camProcessedExp
    ON warpInputExp.cam_id = camProcessedExp.cam_id
JOIN chipProcessedExp
    ON camProcessedExp.chip_id = chipProcessedExp.chip_id
JOIN chipProcessedImfile
    ON camProcessedExp.chip_id = chipProcessedImfile.chip_id
JOIN rawImfile -- is there any reason not to refer back to rawimfiles?
    ON chipProcessedExp.exp_tag = rawImfile.exp_tag
WHERE
    warpRun.state = 'run'

